Module org.jboss.classfilewriter
Package org.jboss.classfilewriter.code

# Class LocalVariableState

java.lang.Object
org.jboss.classfilewriter.code.LocalVariableState

public class LocalVariableState extends Object
In immutable local variable state

Author:
  Stuart Douglas

## Constructor Summary

Constructors
Constructor
Description
`LocalVariableState(ClassMethod method)`
construct the initial local variable state for a method
`LocalVariableState(ConstPool pool, String... entries)`

## Method Summary

Modifier and Type
Method
Description
`LocalVariableState`
`constructorCall(StackEntry entry)`
`StackEntry`
`get(int index)`
`List<StackEntry>`
`getContents()`
`int`
`size()`
`LocalVariableState`
`store(int index, StackEntry entry)`
`LocalVariableState`
`storeWide(int index, StackEntry entry)`
`String`
`toString()`
`LocalVariableState`
`updateMerged(int pos, StackEntry frame)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LocalVariableState

public LocalVariableState(ClassMethod method)
construct the initial local variable state for a method

### LocalVariableState

public LocalVariableState(ConstPool pool, String... entries)

## Method Details

### getContents

public List<StackEntry> getContents()

### get

public StackEntry get(int index)

### storeWide

public LocalVariableState storeWide(int index, StackEntry entry)

### store

public LocalVariableState store(int index, StackEntry entry)

### size

public int size()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### constructorCall

public LocalVariableState constructorCall(StackEntry entry)

### updateMerged

public LocalVariableState updateMerged(int pos, StackEntry frame)